Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Employee
20 Views

MKL's dependency on gcc and glibc

HI,

what is MKL's dependency on gcc and glibc?

thanks,

Jeffrey

0 Kudos
6 Replies
Highlighted
Moderator
20 Views

you may have a look at the mkl's system requirements - Supported C/C++ compilers for Linux : https://software.intel.com/en-us/articles/intel-math-kernel-library-intel-mkl-2017-system-requiremen...

 

0 Kudos
Highlighted
Employee
20 Views

Hi Gennady,

redhat EL6 is in the list of supported OS.  Does it mean centos 6.5 should also work with MKL?  My main concern is if gcc 4.4.7 works with MKL?

 

- Jeffrey

 

0 Kudos
Highlighted
Black Belt
20 Views

Yes, CentOS 6 "should work," but likely hasn't been tested as fully as Red Hat.  It may require you to accept unsupported OS during installation.

0 Kudos
Highlighted
Employee
20 Views

Hi Tim and Genenady,

thanks for comments.

to be clear, my main concern is "what is the requirement of gcc for mkl-dnn?".    I heard mkl-dnn requires at least gcc 4.8.x.  Is that true?

thanks,

Jeffrey

0 Kudos
Highlighted
Black Belt
20 Views

I see that gcc 4.9 is suggested if you don't use an Intel compiler. It's certainly possible to install a newer gcc in addition to your system compiler.
0 Kudos
Highlighted
Employee
20 Views

where is gcc 4.9 mentioned?

in (https://software.intel.com/en-us/articles/intel-math-kernel-library-intel-mkl-2017-syste-requirement...),  I do not see any requirement of gcc.

0 Kudos